Summary:	A GNU file archiving program
Name:		tar
Version:	1.28
Release:	2
License:	GPLv3+
Group:		Archiving/Backup
Url:		http://www.gnu.org/software/tar/tar.html
Source0:	ftp://ftp.gnu.org/gnu/tar/%{name}-%{version}.tar.xz
Source1:	%{SOURCE0}.sig
Source2:	%{name}-help2man.bz2
Patch0:		tar-1.25-fix-buffer-overflow.patch
Patch1:		tar-1.24-lzma.patch
Patch2:		tar-1.14-loneZeroWarning.patch
Patch3:		tar-1.15.1-vfatTruncate.patch
Patch4:		tar-1.17-wildcards.patch
Patch5:		tar-1.22-atime-rofs.patch
Patch6:		tar-1.26-update-with-change-directory.patch
Patch10:	tar-1.27.1-document-exclude-mistakes.patch
Patch12:	tar-1.27.1-sparse-inf-loops.patch
Patch13:	tar-1.27.1-big-sparse-listing.patch
Patch16:	tar-1.27.1-test-with-frozen-time.patch
BuildRequires:	bison
BuildRequires:	texinfo
BuildRequires:  gettext-devel
BuildRequires:	xz
Suggests:	rsh-client
Conflicts:	rmt < 0.4b36

%description
The GNU tar program saves many files together into one archive and
can restore individual files (or all of the files) from the archive.
Tar can also be used to add supplemental files to an archive and to
update or list files in the archive.

Tar includes multivolume support, automatic archive compression/
decompression, the ability to perform remote archives and the
ability to perform incremental and full backups.

If you want to use Tar for remote backups, you'll also need to
install the rmt package.

You should install the tar package, because you'll find its
compression and decompression utilities essential for working
with files.

%files -f %{name}.lang
%doc AUTHORS ChangeLog.xz NEWS README THANKS TODO
/bin/gtar
/bin/tar
%{_libexecdir}/backup.sh
%{_libexecdir}/dump-remind
%{_sbindir}/tar-backup
%{_sbindir}/tar-restore
/sbin/rmt-tar
%{_infodir}/tar.info*
%{_mandir}/man1/tar.1*
%{_mandir}/man8/rmt-tar.8*

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch10 -p1
%patch12 -p1
%patch13 -p1
%patch16 -p1

bzcat %{SOURCE2} > ./help2man
chmod +x ./help2man

xz ChangeLog

sed -i 's/.*sigpipe.at.*//' tests/testsuite.at

%build
autoreconf -fi
RSH=/usr/bin/rsh \
%configure2_5x \
	--enable-backup-scripts \
	--bindir=/bin \
	--disable-rpath
	
%make

# thanks to diffutils Makefile rule
(echo '[NAME]' && sed 's@/\* *@@; s/-/\\-/; q' src/tar.c) | (./help2man -i - -S '%{name} %{version}' src/tar ) | sed 's/^\.B info .*/.B info %{name}/' > %{name}.1

%install
%makeinstall_std

ln -sf tar %{buildroot}/bin/gtar

install -D -m 644 tar.1 %{buildroot}%{_mandir}/man1/tar.1

# conflicts with coda-debug-backup
mv %{buildroot}%{_sbindir}/backup %{buildroot}%{_sbindir}/tar-backup
mv %{buildroot}%{_sbindir}/restore %{buildroot}%{_sbindir}/tar-restore

# rmt is provided by rmt ...
mkdir -p %{buildroot}/sbin
mv %{buildroot}%{_libdir}/rmt %{buildroot}/sbin/rmt-tar
mv %{buildroot}%{_mandir}/man8/rmt.8 %{buildroot}%{_mandir}/man8/rmt-tar.8

%find_lang %{name}

%check
make check

%changelog

* Tue Apr 19 2016 valerol <valerol@ya.ru> 1.28-2
- (9cc0aff) Rename manpage tar.8 to rmt-tar.8 (we already renamed binary)
- (9cc0aff) Better control over files


